pref("extensions.avxmldsig.useOldVersion", false);
pref("extensions.avxmldsig.test", false);

pref("extensions.avxmldsig.sign.signatureType", "ENVELOPED_SIGNATURE");
// pref("extensions.avxmldsig.sign.signatureType", "ENVELOPING_SIGNATURE");
pref("extensions.avxmldsig.sign.credentialType", "certificate");
/*
pref("extensions.avxmldsig.sign.cert.allowAnyCert", true);
pref("extensions.avxmldsig.sign.cert.showCertUsage", true);
pref("extensions.avxmldsig.sign.cert.hideCertType", true);
*/
pref("extensions.avxmldsig.sign.canonicalizationMethodName", "C14NE_NOC");
pref("extensions.avxmldsig.sign.signatureMethod", "http://www.w3.org/2000/09/xmldsig#rsa-sha1");
pref("extensions.avxmldsig.sign.signatureMethod.symkey", "http://www.w3.org/2000/09/xmldsig#hmac-sha1");
// pref("extensions.avxmldsig.sign.signerX509CertNickName", "");
pref("extensions.avxmldsig.sign.keyinfo.KeyName", true);
pref("extensions.avxmldsig.sign.keyinfo.KeyValue", true);
pref("extensions.avxmldsig.sign.keyinfo.X509SubjectName", true);
pref("extensions.avxmldsig.sign.keyinfo.X509Certificate", true);

pref("extensions.avxmldsig.sign.wizardWorkFlowSeq", "sign,verify");
// pref("extensions.avxmldsig.sign.inputXMLFilePath", "");
// pref("extensions.avxmldsig.sign.outputXMLFilePath", "");

pref("extensions.avxmldsig.encrypt.symkey.enc.algorithm", "http://www.w3.org/2001/04/xmlenc#tripledes-cbc");
pref("extensions.avxmldsig.encrypt.kek.enc.algorithm", "http://www.w3.org/2001/04/xmlenc#rsa-1_5");
pref("extensions.avxmldsig.signenc.keyinfo.X509Certificate", true);
pref("extensions.avxmldsig.signenc.keyinfo.X509SHA1Fingerprint", true);

pref("extensions.avxmldsig.samltok.wizardWorkFlowSeq", "create,sign");
pref("extensions.avxmldsig.samltok.create.credentialType", "certificiate");
pref("extensions.avxmldsig.samltok.saml.version", "samlv2");
pref("extensions.avxmldsig.samltok.attribute.profile", "samlv2Basic");
pref("extensions.avxmldsig.samltok.subject.proofkey", true);
pref("extensions.avxmldsig.samltok.subject.keyinfo.KeyName", true);
pref("extensions.avxmldsig.samltok.subject.keyinfo.X509SHA1Fingerprint", true);
pref("extensions.avxmldsig.samltok.subject.keyinfo.X509Certificate", true);
pref("extensions.avxmldsig.samltok.sign.signatureType", "ENVELOPED_SIGNATURE");
pref("extensions.avxmldsig.samltok.sign.canonicalizationMethodName", "C14NE_NOC");
pref("extensions.avxmldsig.samltok.sign.signatureMethod", "http://www.w3.org/2000/09/xmldsig#rsa-sha1");
pref("extensions.avxmldsig.samltok.sign.signatureMethod.symkey", "http://www.w3.org/2000/09/xmldsig#hmac-sha1");
pref("extensions.avxmldsig.samltok.sign.keyinfo.KeyName", true);
pref("extensions.avxmldsig.samltok.sign.keyinfo.KeyValue", true);
pref("extensions.avxmldsig.samltok.sign.keyinfo.X509SHA1Fingerprint", true);
pref("extensions.avxmldsig.samltok.sign.keyinfo.X509keyidentifier", true);
pref("extensions.avxmldsig.samltok.sign.keyinfo.X509Certificate", true);
// pref("extensions.avxmldsig.samltok.sign.signerX509CertNickName", "");
pref("extensions.avxmldsig.samltok.symkey.enc.algorithm", "http://www.w3.org/2001/04/xmlenc#tripledes-cbc");
pref("extensions.avxmldsig.samltok.kek.enc.algorithm", "http://www.w3.org/2001/04/xmlenc#rsa-1_5");
pref("extensions.avxmldsig.samltok.kek.keyinfo.X509Certificate", true);
pref("extensions.avxmldsig.samltok.kek.keyinfo.X509SHA1Fingerprint", true);

pref("extensions.avxmldsig.htmldsig.enable", false);
pref("extensions.avxmldsig.htmldsig.proxy.override", false);
pref("extensions.avxmldsig.htmldsig.validation.enable", false);
pref("extensions.avxmldsig.htmldsig.sign.signatureProfile", "dsig-full");
pref("extensions.avxmldsig.htmldsig.sign.signatureType", "DETACHED_SIGNATURE");
pref("extensions.avxmldsig.htmldsig.sign.credentialType", "certificate");
// pref("extensions.avxmldsig.htmldsig.sign.signerX509CertNickName", "");
pref("extensions.avxmldsig.htmldsig.sign.canonicalizationMethodName", "C14N_NOC");
pref("extensions.avxmldsig.htmldsig.sign.canonicalizationMethod", "http://www.w3.org/TR/2001/REC-xml-c14n-20010315");
pref("extensions.avxmldsig.htmldsig.sign.signatureMethod", "http://www.w3.org/2000/09/xmldsig#rsa-sha1");
pref("extensions.avxmldsig.htmldsig.sign.keyinfo.X509Certificate", true);

