/* @(#) $Id: HtmlDigitalSignatureForm.js,v 1.15 2009/04/08 02:39:56 subrata Exp $ */

/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is  Avaya Labs Research, Avaya Inc. Code.
 *
 * The Initial Developer of the Original Code is
 *     Subrata Mazumdar, Avaya Labs Research, Avaya Inc.
 * Portions created by the Initial Developer are Copyright (C) 2007
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *   Subrata Mazumdar (mazum@avaya.com)
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */



/*
var gHtmlInputOptionGroupElem;
var gHtmlInputFileOptionElem;
var gHtmlInputURIOptionElem;
*/
var gHtmlInputSourceGroupElem;
var gHtmlInputFilePathHboxElem;
var gHtmlInputFilePickerElem;


var gHtmlInputFileURIHboxElem;
var gHtmlInputFileURIElem;
var gHtmlInputDocURIElem;

var gHtmlDSigInputFileIsSignedElem;
var gHtmlDSigResignRowElem;
var gHtmlDSigSignCmdElem;

var gHtmlDSigSignedOutDocGridElem;
var gHtmlDSigOutAutoSelectElem;
var gHtmlDSigXmlOutFilePickerRowElem;
var gHtmlDSigXmlOutFilePickerElem;
var gHtmlDSigXmlOutFileVerifyElem;

var gHtmlDSigHtmlOutFilePickerRowElem;
var gHtmlDSigHtmlOutFilePickerElem;
var gHtmlDSigHtmlOutFileVerifyElem;

var gHtmlDSigProfileGridElem;
var gHtmlDSigProfileTypeMenuElem;
var gHtmlDSigProfileSigURIUseXMLFileElem;
var gHtmlDSigProfileSigURIElem;

var gHtmlDSigRefURIUseInFilePathElem;
var gHtmlDSigRefURIUseOutFilePathElem;
var gHtmlDSigRefURIElem;

var gHtmlDSigEditorGBoxElem;
var gHtmlDSigEditorElem;

var gIOService;

// var gXmlParser;
// var gXmlSerializer;

function xmldsigffext_htmldsig_initFormXULElems()
{
    // dump("xmldsigffext_htmldsig_initFormXULElems():................Start.\n");

    gIOService = Components.classes["@mozilla.org/network/io-service;1"]
			.getService(Components.interfaces.nsIIOService);

    /*
    gHtmlInputOptionGroupElem		= document.getElementById("xmldsigffext.htmldsig.form.sign.htmldoc.in.options");
    gHtmlInputFileOptionElem		= document.getElementById("xmldsigffext.htmldsig.form.sign.htmldoc.in.file.option");
    gHtmlInputURIOptionElem		= document.getElementById("xmldsigffext.htmldsig.form.sign.htmldoc.in.uri.option");
    */
    gHtmlInputSourceGroupElem		= document.getElementById("xmldsigffext.htmldsig.form.sign.htmldoc.in.file.source");

    gHtmlInputFilePathHboxElem		= document.getElementById("xmldsigffext.htmldsig.form.sign.htmldoc.in.file.hbox"); 
    gHtmlInputFilePickerElem		= document.getElementById("xmldsigffext.htmldsig.form.sign.htmldoc.in.file.path");

    gHtmlInputFileURIHboxElem		= document.getElementById("xmldsigffext.htmldsig.form.sign.htmldoc.in.uri.hbox");
    gHtmlInputFileURIElem		= document.getElementById("xmldsigffext.htmldsig.form.sign.htmldoc.in.uri");

    gHtmlInputDocURIElem		= document.getElementById("xmldsigffext.htmldsig.form.sign.htmldoc.in.doc.uri");


    gHtmlDSigResignRowElem		= document.getElementById("xmldsigffext.htmldsig.form.sign.htmldoc.cmd.sign.row");
    gHtmlDSigInputFileIsSignedElem	= document.getElementById("xmldsigffext.htmldsig.form.sign.htmldoc.cmd.issigned");
    gHtmlDSigSignCmdElem		= document.getElementById("xmldsigffext.htmldsig.form.sign.htmldoc.cmd.sign");
    gHtmlDSigOutAutoSelectElem		= document.getElementById("xmldsigffext.htmldsig.form.sign.file.out.autoselect");

    gHtmlDSigSignedOutDocGridElem 	= document.getElementById("xmldsigffext.htmldsig.form.xmlsig.out.doc.grid"); 
    gHtmlDSigXmlOutFilePickerRowElem 	= document.getElementById("xmldsigffext.htmldsig.form.sign.file.out.sigxmldoc.row"); 
    gHtmlDSigXmlOutFilePickerElem	= document.getElementById("xmldsigffext.htmldsig.form.sign.file.out.sigxmldoc.path"); 
    gHtmlDSigXmlOutFileVerifyElem	= document.getElementById("xmldsigffext.htmldsig.form.sign.file.out.sigxmldoc.verify"); 

    gHtmlDSigHtmlOutFilePickerRowElem	= document.getElementById("xmldsigffext.htmldsig.form.sign.file.out.htmldoc.row"); 
    gHtmlDSigHtmlOutFilePickerElem	= document.getElementById("xmldsigffext.htmldsig.form.sign.file.out.htmldoc.path"); 
    gHtmlDSigHtmlOutFileVerifyElem	= document.getElementById("xmldsigffext.htmldsig.form.sign.file.out.htmldoc.verify"); 

    gHtmlDSigProfileGridElem		= document.getElementById("xmldsigffext.htmldsig.form.sign.htmldoc.sigprofile.grid");
    gHtmlDSigProfileTypeMenuElem	= document.getElementById("xmldsigffext.htmldsig.form.sign.htmldoc.sigprofile.type.menu");
    gHtmlDSigProfileSigURIUseXMLFileElem	= document.getElementById("xmldsigffext.htmldsig.form.sign.htmldoc.sigprofile.usexmlfile");
    gHtmlDSigProfileSigURIElem		= document.getElementById("xmldsigffext.htmldsig.form.sign.htmldoc.sigprofile.uri");

    gHtmlDocRefURIHboxElem		= document.getElementById("xmldsigffext.htmldsig.form.sign.htmldoc.sig.refuri.hbox");
    gHtmlDSigRefURIUseInFilePathElem	= document.getElementById("xmldsigffext.htmldsig.form.sign.htmldoc.sig.refuri.useinfile");
    gHtmlDSigRefURIUseOutFilePathElem	= document.getElementById("xmldsigffext.htmldsig.form.sign.htmldoc.sig.refuri.useoutfile");
    gHtmlDSigRefURIElem			= document.getElementById("xmldsigffext.htmldsig.form.sign.htmldoc.sig.refuri");

    gHtmlDSigEditorGBoxElem		= document.getElementById("xmldsigffext.htmldsig.form.xmlsig.gbox");
    gHtmlDSigEditorElem			= document.getElementById("xmldsigffext.htmldsig.form.signature.editor");

    xmldsigffext_htmldsig_initSignVerifySig();
    gHtmlDSigEditorElem.refresh();

    xmldsigffext_htmldsig_handleSignCmdChange(gHtmlDSigSignCmdElem);
    xmldsigffext_htmldsig_handleHtmlFilePickerChange(gHtmlInputFilePickerElem);
    xmldsigffext_htmldsig_handleHtmlFileSourceChange(gHtmlInputSourceGroupElem);
    

    // dump("xmldsigffext_htmldsig_initFormXULElems():................End.\n");
}

function xmldsigffext_htmldsig_resetInputFileSourceForm()
{

    gHtmlInputFileURIElem.value = "";
    gHtmlInputFilePickerElem.filepath = "";
    gHtmlInputDocURIElem.value = "";

    gHtmlDSigSignCmdElem.checked = false;
    gHtmlDSigOutAutoSelectElem.checked = false;

    gHtmlDSigProfileSigURIUseXMLFileElem.checked = false;
    gHtmlDSigRefURIElem.value = "";

    gHtmlDSigRefURIUseInFilePathElem.checked = false;
    gHtmlDSigRefURIUseOutFilePathElem.checked = false;
    gHtmlDSigProfileSigURIElem.value = "";


    xmldsigffext_htmldsig_handleHtmlFilePickerChange(gHtmlInputFilePickerElem);
    xmldsigffext_htmldsig_handleSignCmdChange(gHtmlDSigSignCmdElem);
}


function xmldsigffext_htmldsig_initSignVerifySig()
{
    gHtmlDSigEditorGBoxElem.hidden = true;
}

function xmldsigffext_htmldsig_doOnloadInitSignParam(/* String */ inHtmlFileURI, /* String */ outXmlFilePath, /* nsIX509 */ aSelectedSignerCert)
{
    // dump("xmldsigffext_htmldsig_doOnloadInitSignParam():................Start.\n");

    if (inHtmlFileURI) {
    	gHtmlInputFileURIElem.value = inHtmlFileURI;
	gHtmlInputFileURIElem.disabled = true;
    }


    if (aSelectedSignerCert) {
    	// xmldsigffext_htmldsig_setUserCredential(aSelectedSignerCert);
    }

    if (outXmlFilePath) {
    	gHtmlDSigXmlOutFilePickerElem.value = outXmlFilePath;
	gHtmlDSigXmlOutFilePickerElem.disabled = true;
    }

    xmldsigffext_htmldsig_handleHtmlFileURIChange(gHtmlInputFileURIElem);

    // dump("xmldsigffext_htmldsig_doOnloadInitSignParam():................End.\n");
}

function xmldsigffext_htmldsig_handleHtmlFilePickerChange(aHtmlInputFilePickerElem, ev)
{
    dump("xmldsigffext_htmldsig_handleHtmlFilePickerChange():................Start.\n");

    // New file, reset and hide signature status
    gHtmlDSigInputFileIsSignedElem.checked = false;
    // gHtmlDSigInputFileIsSignedElem.hidden = true;

    gHtmlDSigProfileSigURIUseXMLFileElem.checked = false;
    gHtmlDSigRefURIUseInFilePathElem.checked = false;
    gHtmlDSigRefURIUseOutFilePathElem.checked = false;
    gHtmlInputFileURIElem.value = "";
   
    if (!aHtmlInputFilePickerElem.file) {
	gHtmlDSigProfileSigURIUseXMLFileElem.hidden = true;
	gHtmlDSigRefURIUseInFilePathElem.hidden = true;
	gHtmlDSigRefURIUseOutFilePathElem.hidden = true;
	return;
    }
    gHtmlDSigProfileSigURIUseXMLFileElem.hidden = false;
    gHtmlDSigRefURIUseInFilePathElem.hidden = false;
    gHtmlDSigRefURIUseOutFilePathElem.hidden = false;

    xmldsigffext_htmldsig_handleUseXmlFileAsSigURIChange(gHtmlDSigProfileSigURIUseXMLFileElem);
    // xmldsigffext_htmldsig_handleUseInHtmlFileAsRefURIChange(gHtmlDSigRefURIUseInFilePathElem);
    // xmldsigffext_htmldsig_handleUseOutHtmlFileAsRefURIChange(gHtmlDSigRefURIUseOutFilePathElem);

    dump("xmldsigffext_htmldsig_handleHtmlFilePickerChange():................End.\n");
}

function xmldsigffext_htmldsig_handleHtmlFileURIChange(aHtmlInputFileURIElem, ev)
{
    dump("xmldsigffext_htmldsig_handleHtmlFileURIChange():................Start.\n");

    var htmlInputFileURISpec = trimString(aHtmlInputFileURIElem.value);
    aHtmlInputFileURIElem.value = htmlInputFileURISpec;

    var htmlInputFileURI = null;
    try {
    	htmlInputFileURI = gIOService.newURI(htmlInputFileURISpec, null, null);
    } catch (ex) {
    	gHtmlInputDocURIElem.value = "";
    	alert("Invalid HTML Doc URL: " + htmlInputFileURISpec);
	return;
    }

    //x gHtmlDSigInputFileIsSignedElem.hidden = true;
    gHtmlDSigInputFileIsSignedElem.checked = false;

    if (ev && (htmlInputFileURISpec != "")) {
    	gHtmlInputFilePickerElem.filepath = "";
    	gHtmlInputFilePathHboxElem.hidden = true;

	gHtmlDSigProfileSigURIUseXMLFileElem.hidden = true;
	gHtmlDSigRefURIUseInFilePathElem.hidden = true;
	gHtmlDSigRefURIUseOutFilePathElem.hidden = true;
    }
    else {
    	gHtmlInputFilePathHboxElem.hidden = false;

	gHtmlDSigProfileSigURIUseXMLFileElem.hidden = false;
	gHtmlDSigRefURIUseInFilePathElem.hidden = false;
	gHtmlDSigRefURIUseOutFilePathElem.hidden = false;
    }

    gHtmlInputDocURIElem.value = htmlInputFileURISpec;

    dump("xmldsigffext_htmldsig_handleHtmlFileURIChange():................End.\n");
}


function xmldsigffext_htmldsig_handleHtmlFileSourceChange(aHtmlInputSourceGroupElem, ev)
{
    dump("xmldsigffext_htmldsig_handleHtmlFileSourceChange():................Start.\n");

    gHtmlInputFilePathHboxElem.hidden = false;
    gHtmlInputFileURIHboxElem.hidden = false;
    gHtmlInputDocURIElem.value = "";

    gHtmlDSigInputFileIsSignedElem.checked = false;
    // gHtmlDSigInputFileIsSignedElem.hidden = true;

    gHtmlDSigXmlOutFilePickerElem.filepath = "";
    gHtmlDSigXmlOutFileVerifyElem.hidden = true;

    gHtmlDSigHtmlOutFilePickerElem.filepath = "";
    gHtmlDSigHtmlOutFileVerifyElem.hidden = true;


    gHtmlDSigRefURIElem.value = "";
    gHtmlDSigProfileSigURIElem.value = "";

    if ((gHtmlInputFileURIElem.value == "") && !gHtmlInputFilePickerElem.file) {
	dump("xmldsigffext_htmldsig_handleHtmlFileSourceChange(): Input HTML document source info is missing.\n");
    	gHtmlDSigResignRowElem.hidden = true;
    	gHtmlDSigSignedOutDocGridElem.hidden = true;
    	gHtmlDSigProfileGridElem.hidden = true;

    	xmldsigffext_htmldsig_handleHtmlDocURIChange(gHtmlInputDocURIElem);
    	return;
    }

    if (gHtmlInputFilePickerElem.file) {
    	gHtmlInputFileURIHboxElem.hidden = true;
    	gHtmlInputDocURIElem.value = gHtmlInputFilePickerElem.fileuri;
    }
    else if (gHtmlInputFileURIElem.value != "") {
    	gHtmlInputFilePathHboxElem.hidden = true;
    	gHtmlInputDocURIElem.value = gHtmlInputFileURIElem.value;
    }

    xmldsigffext_htmldsig_handleHtmlDocURIChange(gHtmlInputDocURIElem);

    dump("xmldsigffext_htmldsig_handleHtmlFileSourceChange():................End.\n");
}

/*
function xmldsigffext_htmldsig_handleHtmlInputOptionChange(aHtmlInputOptionGroupElem, ev)
{
    dump("xmldsigffext_htmldsig_handleHtmlInputOptionChange():................Start.\n");

    if (aHtmlInputOptionGroupElem.selectedItem.value == "file") {
	gHtmlInputFilePickerElem.disabled = false;
	gHtmlInputFileURIElem.disabled = true;
    	// xmldsigffext_htmldsig_handleHtmlFilePickerChange(gHtmlInputFilePickerElem);
    }
    else {
	gHtmlInputFilePickerElem.disabled = true;
	gHtmlInputFilePickerElem.value = "";
	gHtmlInputFileURIElem.disabled = false;
    	// xmldsigffext_htmldsig_handleHtmlDocURIChange(gHtmlInputFileURIElem);
    }

    dump("xmldsigffext_htmldsig_handleHtmlInputOptionChange():................End.\n");
}
*/

function xmldsigffext_htmldsig_handleSignCmdChange(aSignCmdOptionElem, ev)
{
    dump("xmldsigffext_htmldsig_handleSignCmdChange():................Start.\n");

    if (aSignCmdOptionElem.checked) {
    	gHtmlDSigProfileTypeMenuElem.removeAttribute("disabled");
	gHtmlDSigOutAutoSelectElem.hidden = false;
	xmldsigffext_htmldsig_handleOutFileAutoSelectChange(gHtmlDSigOutAutoSelectElem);
    }
    else {
    	gHtmlDSigProfileTypeMenuElem.setAttribute("disabled", true);
	gHtmlDSigOutAutoSelectElem.hidden = true;
    }

    if (ev) {
    	xmldsigffext_htmldsig_handleHtmlDocURIChange(gHtmlInputDocURIElem);
    }

    dump("xmldsigffext_htmldsig_handleSignCmdChange():................End.\n");
}


function xmldsigffext_htmldsig_setInputHTMLFileURI(xmlFilePath)
{
    gHtmlInputFileURIElem.value = xmlFilePath;
}

function xmldsigffext_htmldsig_autoSelectOutSigXmlFile(aInHtmlFileBaseName)
{
    var outSigXmlFileName = aInHtmlFileBaseName + "_Sig.xml";

    // Select path to the signed XML File 
    var /* nsILocalFile */ outSignedXmlDocFile = null;
    if (gHtmlInputFilePickerElem.file) {
	outSignedXmlDocFile = gHtmlInputFilePickerElem.file.parent.clone();
	outSignedXmlDocFile.append(outSigXmlFileName);
	gHtmlDSigXmlOutFilePickerElem.filepath = outSignedXmlDocFile.path;
    }
    else {
	outSignedXmlDocFile =  xmldsigffext_autoSelectOutFile(gHtmlDSigXmlOutFilePickerElem, outSigXmlFileName);
    }
    if (gHtmlDSigXmlOutFilePickerElem.file == null) {
    	dump("xmldsigffext_htmldsig_autoSelectOutSigXmlFile(): failed to get outSignedXmlDocFile.\n");
        return null;
    }
    // dump("xmldsigffext_htmldsig_autoSelectOutSigXmlFile(): outSignedXmlDocFile: " + gHtmlDSigXmlOutFilePickerElem.filepath + "\n");

    return gHtmlDSigXmlOutFilePickerElem.file;
}

function xmldsigffext_htmldsig_autoSelectOutHtmlFile(aInHtmlFileName)
{
    var outHtmlFileName = "Signed_" + aInHtmlFileName;

    var /* nsILocalFile */ outSignedHtmlDocFile = null;
    if (gHtmlInputFilePickerElem.file) {
	outSignedHtmlDocFile = gHtmlInputFilePickerElem.file.parent.clone();
	outSignedHtmlDocFile.append(outHtmlFileName);
	gHtmlDSigHtmlOutFilePickerElem.filepath = outSignedHtmlDocFile.path;
    }
    else {
    	outSignedHtmlDocFile =  xmldsigffext_autoSelectOutFile(gHtmlDSigHtmlOutFilePickerElem, outHtmlFileName);
    }
    if (gHtmlDSigHtmlOutFilePickerElem.file == null) {
    	dump("xmldsigffext_htmldsig_autoSelectOutHtmlFile(): failed to get outSignedHtmlDocFile.\n");
        return null;
    }
    // dump("xmldsigffext_htmldsig_autoSelectOutHtmlFile(): outSignedHtmlDocFile: " + gHtmlDSigHtmlOutFilePickerElem.filepath + "\n");
    return gHtmlDSigHtmlOutFilePickerElem.file;
}


function xmldsigffext_htmldsig_autoSelectOutFiles()
{
    dump("xmldsigffext_htmldsig_autoSelectOutFiles():................Start.\n");

    var htmlDocURISpec = gHtmlInputDocURIElem.value;
    var htmlDocURI = gIOService.newURI(htmlDocURISpec, null, null);

    var htmlDocURL = htmlDocURI.QueryInterface(Components.interfaces.nsIURL);
    var inputHtmlFileBaseName = htmlDocURL.fileBaseName;
    dump("xmldsigffext_htmldsig_autoSelectOutFiles(): htmlDocURISpec: " + htmlDocURISpec + "\n");
    dump("xmldsigffext_htmldsig_autoSelectOutFiles(): inputHtmlFileBaseName: " + inputHtmlFileBaseName + "\n");

    if (inputHtmlFileBaseName == "") {
    	inputHtmlFileBaseName = "index";
    }
    var inputHtmlFileName = htmlDocURL.fileName;
    if (inputHtmlFileName == "") {
    	inputHtmlFileName = "index.html";
    }
    

    var outSigXmlDocFile = gHtmlDSigXmlOutFilePickerElem.file;
    if (!outSigXmlDocFile) {
    	outSigXmlDocFile = xmldsigffext_htmldsig_autoSelectOutSigXmlFile(inputHtmlFileBaseName);
    }
    if (!outSigXmlDocFile) {
    	dump("xmldsigffext_htmldsig_autoSelectOutHtmlFile(): failed to get outSigXmlDocFile.\n");
        return false;
    }
    var detachedSigXmlDocURIStr = gHtmlDSigXmlOutFilePickerElem.fileuri;

    var /* nsILocalFile */ outSignedHtmlDocFile = gHtmlDSigHtmlOutFilePickerElem.file;
    if (!gHtmlDSigHtmlOutFilePickerElem.file) {
	outSignedHtmlDocFile = xmldsigffext_htmldsig_autoSelectOutHtmlFile(inputHtmlFileName);
    }
    if (outSignedHtmlDocFile == null) {
    	dump("xmldsigffext_htmldsig_autoSelectOutHtmlFile(): failed to get outSignedHtmlDocFile.\n");
        return false;
    }
    var outSignedHtmlDocURIStr = gHtmlDSigHtmlOutFilePickerElem.fileuri;

    dump("xmldsigffext_htmldsig_autoSelectOutFiles():................End.\n");
    return true;
}

function xmldsigffext_htmldsig_handleOutFileAutoSelectChange(aHtmlDSigOutAutoSelectElem, ev)
{
    if (!aHtmlDSigOutAutoSelectElem.checked) {
    	return;
    }
    xmldsigffext_htmldsig_autoSelectOutFiles();
}


function xmldsigffext_htmldsig_enableForUnsignedXmlDoc()
{
    dump("xmldsigffext_htmldsig_enableForUnsignedXmlDoc():................Start.\n");

    // gHtmlDSigInputFileIsSignedElem.hidden = true;
    gHtmlDSigInputFileIsSignedElem.checked = false;

    // Show Signing related output file elemenets
    gHtmlDSigSignedOutDocGridElem.hidden = false;

    // make Sig-Profile related elements editable
    gHtmlDSigProfileTypeMenuElem.removeAttribute("disabled");
    gHtmlDSigProfileSigURIUseXMLFileElem.hidden = false;
    gHtmlDSigProfileSigURIElem.disabled = false;

    gHtmlDSigRefURIUseInFilePathElem.hidden = false;
    gHtmlDSigRefURIUseOutFilePathElem.hidden = false;
    gHtmlDSigRefURIElem.disabled = false;

    xmldsigffext_htmldsig_showSignForm();

    dump("xmldsigffext_htmldsig_enableForUnsignedXmlDoc():................End.\n");
}


function xmldsigffext_htmldsig_enableForSignedXmlDoc()
{
    dump("xmldsigffext_htmldsig_enableForSignedXmlDoc():................Start.\n");

    // gHtmlDSigInputFileIsSignedElem.hidden = false;
    gHtmlDSigInputFileIsSignedElem.checked = true;

    // Signing related output file elemenets
    gHtmlDSigSignedOutDocGridElem.hidden = true;
    gHtmlDSigXmlOutFilePickerElem.value = "";
    gHtmlDSigHtmlOutFilePickerElem.value = "";

    // Sig-Profile related elements read-only
    gHtmlDSigProfileTypeMenuElem.setAttribute("disabled", true);
    gHtmlDSigProfileSigURIUseXMLFileElem.hidden = true;
    gHtmlDSigProfileSigURIElem.disabled = true;

    gHtmlDSigRefURIUseInFilePathElem.hidden = true;
    gHtmlDSigRefURIUseOutFilePathElem.hidden = true;
    gHtmlDSigRefURIElem.disabled = true;

    xmldsigffext_htmldsig_showVerifyForm();

    dump("xmldsigffext_htmldsig_enableForSignedXmlDoc():................End.\n");
}


function xmldsigffext_htmldsig_handleHtmlDocURIChange(aHtmlInputDocURIElem, ev)
{
    dump("xmldsigffext_htmldsig_handleHtmlDocURIChange():................Start.\n");
    dump("xmldsigffext_htmldsig_handleHtmlDocURIChange(): aHtmlInputDocURIElem.value: " + aHtmlInputDocURIElem.value + "\n");

    gHtmlDSigEditorGBoxElem.hidden = true;

    if (aHtmlInputDocURIElem.value == "") {
    	dump("xmldsigffext_htmldsig_handleHtmlDocURIChange():................End(1).\n");
    	return;
    }

    gHtmlDSigResignRowElem.hidden = false;

    gHtmlDSigEditorElem.loadHtmlDocByURI(aHtmlInputDocURIElem.value);
    var htmlSignatureValidator = gHtmlDSigEditorElem.htmlSignatureValidator;

    var isSignedHtmlDoc = htmlSignatureValidator.isSignedHtmlDoc;
    dump("xmldsigffext_htmldsig_handleHtmlDocURIChange(): isSignedHTMLDoc: " + isSignedHtmlDoc + "\n");

    if (!isSignedHtmlDoc && !gHtmlDSigSignCmdElem.checked) {
    	gHtmlDSigSignCmdElem.checked = true;
    	gHtmlDSigSignCmdElem.disabled = true;
    	xmldsigffext_htmldsig_handleSignCmdChange(gHtmlDSigSignCmdElem);
    }
    /*
    else {
    	gHtmlDSigSignCmdElem.checked = true;
    	gHtmlDSigSignCmdElem.disabled = false;
    }
    */

    gHtmlDSigProfileGridElem.hidden = false;
    if (isSignedHtmlDoc && !gHtmlDSigSignCmdElem.checked) {
    	gHtmlDSigProfileTypeMenuElem.value = htmlSignatureValidator.htmlDocSigProfile;

    	gHtmlDSigProfileSigURIElem.value = htmlSignatureValidator.htmlDocSignatureURISpec;
    	gHtmlDSigRefURIElem.value = htmlSignatureValidator.htmlDocSigRefDocURISpec;

    	xmldsigffext_htmldsig_enableForSignedXmlDoc();
    }
    else {
    	if (gHtmlDSigProfileSigURIElem.value == "") {
    	    gHtmlDSigProfileSigURIElem.value = htmlSignatureValidator.htmlDocSignatureURISpec;
    	}
    	if (gHtmlDSigRefURIElem.value == "") {
    	    gHtmlDSigRefURIElem.value = htmlSignatureValidator.htmlDocSigRefDocURISpec;
    	}

    	xmldsigffext_htmldsig_enableForUnsignedXmlDoc();
    }

    dump("xmldsigffext_htmldsig_handleHtmlDocURIChange(): gHtmlDSigProfileSigURIElem.value: " + gHtmlDSigProfileSigURIElem.value + "\n");
    dump("xmldsigffext_htmldsig_handleHtmlDocURIChange(): gHtmlDSigRefURIElem.value: " + gHtmlDSigRefURIElem.value + "\n");

    dump("xmldsigffext_htmldsig_handleHtmlDocURIChange():................End.\n");

    xmldsigffext_htmldsig_displayHtmlDocURI(aHtmlInputDocURIElem.value);

}

function xmldsigffext_htmldsig_handleSigProfileTypeChange(aSigProfileTypeMenuElem, ev)
{
    dump("xmldsigffext_htmldsig_handleSigProfileTypeChange():................Start.\n");

    xmldsigffext_htmldsig_handleHtmlDocURIChange(gHtmlInputDocURIElem);

    dump("xmldsigffext_htmldsig_handleSigProfileTypeChange():................End.\n");
}

function xmldsigffext_htmldsig_handleUseXmlFileAsSigURIChange(aHtmlDSigInputUseFileURIElem, ev)
{
    dump("xmldsigffext_htmldsig_handleUseXmlFileAsSigURIChange():................Start.\n");

    if (!aHtmlDSigInputUseFileURIElem.checked) {
	// gHtmlDSigProfileSigURIElem.removeAttribute("disabled");
    	gHtmlDSigProfileSigURIElem.disabled = false;
    	dump("xmldsigffext_htmldsig_handleUseXmlFileAsSigURIChange():................End(0).\n");
	return;
    }

    if (!gHtmlDSigXmlOutFilePickerElem.file) {
    	dump("xmldsigffext_htmldsig_handleUseXmlFileAsSigURIChange():................End(1).\n");
    	return;
    }

    var htmlInputDocURISpec = gHtmlInputDocURIElem.value;
    var htmlInputDocURI = gIOService.newURI(htmlInputDocURISpec, null, null);
    var htmlInputDocBaseURI = gIOService.newURI(".", null, htmlInputDocURI);

    dump("xmldsigffext_htmldsig_handleUseXmlFileAsSigURIChange(): htmlInputDocURISpec: " + htmlInputDocURISpec + "\n");
    /*
    var sigXMLDocFileURISpec = gHtmlDSigXmlOutFilePickerElem.fileuri;
    var sigXMLDocFileURI = gIOService.newURI(sigXMLDocFileURISpec, null, null);
    var sigXMLDocFileURL = sigXMLDocFileURL.QueryInterface(Components.interfaces.nsIURL);
    // var sigXMLDocFileBaseName = gHtmlDSigXmlOutFilePickerElem.file.
    // var sigXMLDocFileBaseName = sigXMLDocFileURL.fileBaseName;
    */

    var sigXMLDocFileName = gHtmlDSigXmlOutFilePickerElem.file.leafName;
    var htmlDocSigXmlDocURISpec = htmlInputDocBaseURI.spec + sigXMLDocFileName;
    dump("xmldsigffext_htmldsig_handleUseXmlFileAsSigURIChange(): sigXMLDocFileName: " + sigXMLDocFileName + "\n");
    dump("xmldsigffext_htmldsig_handleUseXmlFileAsSigURIChange(): htmlDocSigXmlDocURISpec: " + htmlDocSigXmlDocURISpec + "\n");

     // gHtmlDSigProfileSigURIElem.value = gHtmlDSigXmlOutFilePickerElem.fileuri;
    gHtmlDSigProfileSigURIElem.value = htmlDocSigXmlDocURISpec;
    // gHtmlDSigProfileSigURIElem.setAttribute("disabled", true);
    gHtmlDSigProfileSigURIElem.disabled = true;

    xmldsigffext_htmldsig_handleHtmlDocURIChange(gHtmlInputDocURIElem);

    dump("xmldsigffext_htmldsig_handleUseXmlFileAsSigURIChange():................End.\n");
}

function xmldsigffext_htmldsig_handleHtmlFileSigURIChange(aHtmlDSigProfileSigURIElem, ev)
{
    dump("xmldsigffext_htmldsig_handleHtmlFileSigURIChange():................Start.\n");

    var htmlDSigProfileSigURI = trimString(aHtmlDSigProfileSigURIElem.value);
    aHtmlDSigProfileSigURIElem.value = htmlDSigProfileSigURI;

    if (htmlDSigProfileSigURI == "") {
    	return;
    }

    xmldsigffext_htmldsig_handleHtmlDocURIChange(gHtmlInputDocURIElem);

    dump("xmldsigffext_htmldsig_handleHtmlFileSigURIChange():................End.\n");
}


function xmldsigffext_htmldsig_handleUseInHtmlFileAsRefURIChange(aHtmlDSigInputUseFileURIElem, ev)
{
    dump("xmldsigffext_htmldsig_handleUseInHtmlFileAsRefURIChange():................Start.\n");

    if (!aHtmlDSigInputUseFileURIElem.checked) {
	gHtmlDSigRefURIElem.disabled = false;
    	dump("xmldsigffext_htmldsig_handleUseInHtmlFileAsRefURIChange():................End(0).\n");
    	return;
    }

    /*
    if (!gHtmlInputFilePickerElem.file) {
    	return;
    }
    */

    // Just copy the input URI for input file - file://|http://
    var htmlInputDocURISpec = gHtmlInputDocURIElem.value;

    gHtmlDSigRefURIElem.value = htmlInputDocURISpec;
    gHtmlDSigRefURIElem.disabled = true;

    xmldsigffext_htmldsig_handleHtmlFileSigRefURIChange(gHtmlDSigRefURIElem);

    dump("xmldsigffext_htmldsig_handleUseInHtmlFileAsRefURIChange():................End.\n");
}

function xmldsigffext_htmldsig_handleUseOutHtmlFileAsRefURIChange(aHtmlDSigRefURIUseOutFilePathElem, ev)
{
    dump("xmldsigffext_htmldsig_handleUseOutHtmlFileAsRefURIChange():................Start.\n");

    if (!aHtmlDSigRefURIUseOutFilePathElem.checked) {
	gHtmlDSigRefURIElem.disabled = false;
    	dump("xmldsigffext_htmldsig_handleUseOutHtmlFileAsRefURIChange():................End(0).\n");
	return;
    }

    if (!gHtmlDSigHtmlOutFilePickerElem.file) {
    	dump("xmldsigffext_htmldsig_handleUseOutHtmlFileAsRefURIChange():................End(1).\n");
    	return;
    }

    var htmlInputDocURISpec = gHtmlInputDocURIElem.value;
    var htmlInputDocURI = gIOService.newURI(htmlInputDocURISpec, null, null);
    var htmlInputDocBaseURI = gIOService.newURI(".", null, htmlInputDocURI);

    var outHtmlDocFileName = gHtmlDSigHtmlOutFilePickerElem.file.leafName;
    var htmlDocSigRefURISpec = htmlInputDocBaseURI.spec + outHtmlDocFileName;
    dump("xmldsigffext_htmldsig_handleUseXmlFileAsSigURIChange(): outHtmlDocFileName: " + outHtmlDocFileName + "\n");
    dump("xmldsigffext_htmldsig_handleUseXmlFileAsSigURIChange(): htmlDocSigRefURISpec: " + htmlDocSigRefURISpec + "\n");

    gHtmlDSigRefURIElem.value = htmlDocSigRefURISpec;
    gHtmlDSigRefURIElem.disabled = true;

    xmldsigffext_htmldsig_handleHtmlFileSigRefURIChange(gHtmlDSigRefURIElem);

    dump("xmldsigffext_htmldsig_handleUseOutHtmlFileAsRefURIChange():................End.\n");
}


function xmldsigffext_htmldsig_handleHtmlFileSigRefURIChange(aHtmlInputRefURIElem, ev)
{
    dump("xmldsigffext_htmldsig_handleHtmlFileSigRefURIChange():................Start.\n");

    var htmlInputFileURI = trimString(aHtmlInputRefURIElem.value);
    aHtmlInputRefURIElem.value = htmlInputFileURI;

    if (aHtmlInputRefURIElem.value == "") {
    	return;
    }

    xmldsigffext_htmldsig_handleHtmlDocURIChange(gHtmlInputDocURIElem);

    dump("xmldsigffext_htmldsig_handleHtmlFileSigRefURIChange():................End.\n");
}

function xmldsigffext_htmldsig_displayHtmlDocURI(aHtmlDocURISpec)
{
    dump("xmldsigffext_htmldsig_displayHtmlDocURI():................Start.\n");

    gHtmlDSigEditorGBoxElem.hidden = true;

    if (!aHtmlDocURISpec || (aHtmlDocURISpec == "")) {
    	return;
    }


    var htmlSigProfile = gHtmlDSigProfileTypeMenuElem.value;

    var detachedSigXmlDocURIStr = trimString(gHtmlDSigProfileSigURIElem.value);
    if (detachedSigXmlDocURIStr == "") {
    	detachedSigXmlDocURIStr = null;
    }
    var htmlDSigHtmlDocRefURISpec = gHtmlDSigRefURIElem.value;

    if (gHtmlDSigSignCmdElem.checked && ((htmlDSigHtmlDocRefURISpec == "") || (detachedSigXmlDocURIStr == ""))) {
    	gHtmlDSigEditorGBoxElem.hidden = true;
    	dump("xmldsigffext_htmldsig_displayHtmlDocURI():................End(1).\n");
	return;
    }

    try {
    	gHtmlDSigEditorElem.loadHtmlDocSignature(
			aHtmlDocURISpec,
			gHtmlDSigSignCmdElem.checked,
			htmlSigProfile,
			detachedSigXmlDocURIStr,
			htmlDSigHtmlDocRefURISpec
			);
    } catch (ex) {
    	dump("xmldsigffext_htmldsig_displayHtmlDocURI(): gHtmlDSigEditorElem.loadHtmlDocSignature() failed - ex: " + ex + "\n");
    	alert("xmldsigffext_htmldsig_displayHtmlDocURI(): failed to create/load XML digital signature.\n");
    	gHtmlDSigEditorGBoxElem.hidden = true;
	return;
    }

    gHtmlDSigEditorGBoxElem.hidden = false;

    dump("xmldsigffext_htmldsig_displayHtmlDocURI():................End.\n");
}

function xmldsigffext_htmldsig_loadAndVerifySignatureXmlDoc()
{
    // dump("xmldsigffext_htmldsig_loadAndVerifySignatureXmlDoc():................Start.\n");

    var htmlDocSignatureFilePath = gHtmlDSigXmlOutFilePickerElem.filepath;

    var argc = 0;
    var params = Components.classes["@mozilla.org/embedcomp/dialogparam;1"].
                        createInstance(Components.interfaces.nsIDialogParamBlock);
    params.SetString(argc, htmlDocSignatureFilePath); argc++;
    // params.SetString(argc, signedXmlDocFilePath); argc++;
    params.SetInt(0, argc);
    /*
    window.openDialog('chrome://xmldsigffext/content/XmlDSigToolForm.xul',
                             '_blank', 'chrome,centerscreen,resizable,modal,titlebar', params);
    */
    window.openDialog('chrome://xmldsigffext/content/xmldsig/XmlDigitalSigTool.xul',
                        '_blank', 'chrome,centerscreen,resizable,modal,titlebar', params);

    var retVal = params.GetInt(0);
    if (retVal == 0) {
        return;
    }

    // dump("xmldsigffext_htmldsig_loadAndVerifySignatureXmlDoc():................End.\n");
}

function xmldsigffext_htmldsig_handleSignedXmlDocPathChange()
{
    dump("xmldsigffext_htmldsig_handleSignedXmlDocPathChange():................Start.\n");

    if (gHtmlDSigProfileSigURIUseXMLFileElem.checked) {
    	xmldsigffext_htmldsig_handleUseXmlFileAsSigURIChange(gHtmlDSigProfileSigURIUseXMLFileElem);
    }

    dump("xmldsigffext_htmldsig_handleSignedXmlDocPathChange():................End.\n");
}

function xmldsigffext_htmldsig_handleSignedHtmlDocPathChange()
{
    dump("xmldsigffext_htmldsig_handleSignedHtmlDocPathChange():................Start.\n");

    if (gHtmlDSigRefURIUseInFilePathElem.checked) {
    	xmldsigffext_htmldsig_handleUseInHtmlFileAsRefURIChange(gHtmlDSigRefURIUseInFilePathElem);
    }

    if (gHtmlDSigRefURIUseOutFilePathElem.checked) {
    	xmldsigffext_htmldsig_handleUseOutHtmlFileAsRefURIChange(gHtmlDSigRefURIUseOutFilePathElem);
    }

    dump("xmldsigffext_htmldsig_handleSignedHtmlDocPathChange():................End.\n");
}

function xmldsigffext_htmldsig_loadAndVerifySignedHtmlDoc()
{
    // dump("xmldsigffext_htmldsig_loadAndVerifySignedHtmlDoc():................Start.\n");

    // var outHtmlFileURIStr = gHtmlDSigHtmlOutFilePickerElem.fileuri;
    var outHtmlFileURIStr = gHtmlDSigRefURIElem.value;
    // dump("xmldsigffext_htmldsig_loadAndVerifySignedHtmlDoc(): outHtmlFileURIStr: " + outHtmlFileURIStr + "\n");


    xmldsigffext_htmldsig_resetInputFileSourceForm();

    gHtmlInputFileURIElem.value = outHtmlFileURIStr;
    xmldsigffext_htmldsig_handleHtmlFileURIChange(gHtmlInputFileURIElem);

    xmldsigffext_htmldsig_handleHtmlFileSourceChange(gHtmlInputSourceGroupElem);

    // gHtmlDSigXmlOutFilePickerElem.value = "";
    // gHtmlDSigHtmlOutFilePickerElem.value = "";

    // dump("xmldsigffext_htmldsig_loadAndVerifySignedHtmlDoc():................End.\n");
}

function xmldsigffext_htmldsig_getSigURIAndRefURI(aHtmlDocOutDirPath, aHtmlDocInFileURI)
{
    var fileURIMethodIsHttp = false;
    if (aHtmlDocInFileURI.indexOf("http") >= 0) {
    	fileURIMethodIsHttp = true;
    }

    signedHtlmDocTargetURI = gIOService.newURI(this.mHtmlDocURISpec, null, null);
    signedHtlmDocTargetBaseURI = gIOService.newURI(".", null, signedHtlmDocTargetURI);
    var signedHtlmDocTargetURL = signedHtlmDocTargetURI.QueryInterface(Components.interfaces.nsIURL);
    htmlDocSignatureURISpec = signedHtlmDocTargetBaseURI.spec + signedHtlmDocTargetURL.fileBaseName + "_Sig" + "." + "xml";
}

